--- title: "Get all Inspection Options Policy" slug: "get-all-inspection-options-policy" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:34:39Z published: 2026-09-23T09:34:39Z canonical: "docs.trellix.com/get-all-inspection-options-policy" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get all Inspection Options Policy This URL retrieves the all inspection options policies. ## Resource URL GET /protectionoptionspolicy ## Request Parameters N/A ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | policyId | Policy id | Number | | policyName | Policy name | String | | domainId | Domain id | Number | | visibleToChild | Visible to child | Boolean | | description | Description | String | | lastUpdatedBy | Last updated by | String | | lastUpdated | Last updated date | String | ## Example **Request** GET [https:///sdkapi/protectionoptionspolicy](https://%3CNSM_IP%3E/sdkapi/protectionoptionspolicy) **Response** ``` { "protectionOptionsPolicyList": [  { "policyId": 1, "policyName": "Default Client and Server Inspection", "domainId": 0, "visibleToChild": true, "description": "Inspect traffic both from internal endpoints and to exposed Web and mail servers", "isEditable": false, "lastUpdatedBy": "admin", "lastUpdated": "2017-Jun-25 18:27", "protectionOptions": null },  { "policyId": 2, "policyName": "Default Client Inspection", "domainId": 0, "visibleToChild": true, "description": "Inspect traffic from internal endpoints as they access the Internet", "isEditable": false, "lastUpdatedBy": "admin", "lastUpdated": "2017-Jun-25 18:27", "protectionOptions": null } ] } ```   ## Error Information Following error code is returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 4301 | Invalid domain id |